Loading...
Searching...
No Matches
p_Procs_Static.cc File Reference
`#include "misc/auxiliary.h"`
`#include "polys/monomials/ring.h"`
`#include "polys/monomials/p_polys.h"`
`#include "polys/templates/p_Procs.h"`
`#include "polys/templates/p_Numbers.h"`
`#include "polys/templates/p_MemCmp.h"`
`#include "polys/templates/p_MemAdd.h"`
`#include "polys/templates/p_MemCopy.h"`
`#include "polys/kbuckets.h"`
`#include "reporter/reporter.h"`
`#include "polys/templates/p_Procs.inc"`
`#include "polys/templates/p_Procs_Static.h"`
`#include "polys/templates/p_Procs_Impl.h"`
`#include "polys/templates/p_Procs_Set.h"`

Go to the source code of this file.

## Macros

#define | LINKAGE
#define | p_Procs_Static
#define | SetStaticProcFromArray(what, type, field, length, ord)
#define | SetStaticProcFromFuncsArray(what, field, length, ord)
#define | DoSetProc(what, field, length, ord)

## Variables

const BOOLEAN | p_procs_dynamic = FALSE

## Macro Definition Documentation

## DoSetProc

#define DoSetProc | ( |  | what,
|  |  | field,
|  |  | length,
|  |  | ord )

Value:
do \
{ \
if (set_names) \
SetStaticProcFromArray(what, names, field, length, ord); \
else \
SetStaticProcFromFuncsArray(what, field, length, ord); \
} \
while(0)
length
static BOOLEAN length(leftv result, leftv arg)
Definition interval.cc:257
set_names
STATIC_VAR int set_names
Definition p_Procs_Set.h:120

Definition at line 48 of file p_Procs_Static.cc.

#define DoSetProc(what, field, length, ord) \
do \
{ \
if (set_names) \
SetStaticProcFromArray(what, names, field, length, ord); \
else \
SetStaticProcFromFuncsArray(what, field, length, ord); \
} \
while(0)

## LINKAGE

#define LINKAGE

Definition at line 27 of file p_Procs_Static.cc.

## p_Procs_Static

#define p_Procs_Static

Definition at line 29 of file p_Procs_Static.cc.

## SetStaticProcFromArray

#define SetStaticProcFromArray | ( |  | what,
|  |  | type,
|  |  | field,
|  |  | length,
|  |  | ord )

Value:
_p_procs->what = (what##_Proc_Ptr)( \
what##_Proc_##type [index(what##_Proc, field, length, ord)])
index
static int index(p_Length length, p_Ord ord)
Definition p_Procs_Impl.h:592
_p_procs
STATIC_VAR p_Procs_s * _p_procs
Definition p_Procs_Set.h:116

Definition at line 40 of file p_Procs_Static.cc.

#define SetStaticProcFromArray(what, type, field, length, ord) \
_p_procs->what = (what##_Proc_Ptr)( \
what##_Proc_##type [index(what##_Proc, field, length, ord)])

## SetStaticProcFromFuncsArray

#define SetStaticProcFromFuncsArray | ( |  | what,
|  |  | field,
|  |  | length,
|  |  | ord )

Value:
SetStaticProcFromArray(what, funcs, field, length, ord)
SetStaticProcFromArray
#define SetStaticProcFromArray(what, type, field, length, ord)
Definition p_Procs_Static.cc:40

Definition at line 44 of file p_Procs_Static.cc.

#define SetStaticProcFromFuncsArray(what, field, length, ord) \
SetStaticProcFromArray(what, funcs, field, length, ord)

## Variable Documentation

## p_procs_dynamic

const BOOLEAN p_procs_dynamic = FALSE

Definition at line 25 of file p_Procs_Static.cc.